/[pcre]/code/trunk/configure
ViewVC logotype

Contents of /code/trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log


Revision 49 - (show annotations) (download)
Sat Feb 24 21:39:33 2007 UTC (7 years, 5 months ago) by nigel
File size: 47559 byte(s)
Load pcre-3.3 into code/trunk.

1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --disable-shared build PCRE as a static library"
16 ac_help="$ac_help
17 --enable-utf8 enable UTF8 support (incomplete)"
18
19 # Initialize some variables set by options.
20 # The variables have the same names as the options, with
21 # dashes changed to underlines.
22 build=NONE
23 cache_file=./config.cache
24 exec_prefix=NONE
25 host=NONE
26 no_create=
27 nonopt=NONE
28 no_recursion=
29 prefix=NONE
30 program_prefix=NONE
31 program_suffix=NONE
32 program_transform_name=s,x,x,
33 silent=
34 site=
35 srcdir=
36 target=NONE
37 verbose=
38 x_includes=NONE
39 x_libraries=NONE
40 bindir='${exec_prefix}/bin'
41 sbindir='${exec_prefix}/sbin'
42 libexecdir='${exec_prefix}/libexec'
43 datadir='${prefix}/share'
44 sysconfdir='${prefix}/etc'
45 sharedstatedir='${prefix}/com'
46 localstatedir='${prefix}/var'
47 libdir='${exec_prefix}/lib'
48 includedir='${prefix}/include'
49 oldincludedir='/usr/include'
50 infodir='${prefix}/info'
51 mandir='${prefix}/man'
52
53 # Initialize some other variables.
54 subdirs=
55 MFLAGS= MAKEFLAGS=
56 SHELL=${CONFIG_SHELL-/bin/sh}
57 # Maximum number of lines to put in a shell here document.
58 ac_max_here_lines=12
59
60 ac_prev=
61 for ac_option
62 do
63
64 # If the previous option needs an argument, assign it.
65 if test -n "$ac_prev"; then
66 eval "$ac_prev=\$ac_option"
67 ac_prev=
68 continue
69 fi
70
71 case "$ac_option" in
72 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
73 *) ac_optarg= ;;
74 esac
75
76 # Accept the important Cygnus configure options, so we can diagnose typos.
77
78 case "$ac_option" in
79
80 -bindir | --bindir | --bindi | --bind | --bin | --bi)
81 ac_prev=bindir ;;
82 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
83 bindir="$ac_optarg" ;;
84
85 -build | --build | --buil | --bui | --bu)
86 ac_prev=build ;;
87 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88 build="$ac_optarg" ;;
89
90 -cache-file | --cache-file | --cache-fil | --cache-fi \
91 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
92 ac_prev=cache_file ;;
93 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
94 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
95 cache_file="$ac_optarg" ;;
96
97 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
98 ac_prev=datadir ;;
99 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
100 | --da=*)
101 datadir="$ac_optarg" ;;
102
103 -disable-* | --disable-*)
104 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
105 # Reject names that are not valid shell variable names.
106 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
107 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
108 fi
109 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
110 eval "enable_${ac_feature}=no" ;;
111
112 -enable-* | --enable-*)
113 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
114 # Reject names that are not valid shell variable names.
115 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
116 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
117 fi
118 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
119 case "$ac_option" in
120 *=*) ;;
121 *) ac_optarg=yes ;;
122 esac
123 eval "enable_${ac_feature}='$ac_optarg'" ;;
124
125 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
126 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
127 | --exec | --exe | --ex)
128 ac_prev=exec_prefix ;;
129 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
130 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
131 | --exec=* | --exe=* | --ex=*)
132 exec_prefix="$ac_optarg" ;;
133
134 -gas | --gas | --ga | --g)
135 # Obsolete; use --with-gas.
136 with_gas=yes ;;
137
138 -help | --help | --hel | --he)
139 # Omit some internal or obsolete options to make the list less imposing.
140 # The list generated by autoconf has been trimmed to remove many
141 # options that are totally irrelevant to PCRE (e.g. relating to X),
142 # or are not supported by its Makefile.
143 # The list generated by autoconf has been trimmed to remove many
144 # options that are totally irrelevant to PCRE (e.g. relating to X),
145 # or are not supported by its Makefile.
146 # The list generated by autoconf has been trimmed to remove many
147 # options that are totally irrelevant to PCRE (e.g. relating to X),
148 # or are not supported by its Makefile.
149 # This message is too long to be a string in the A/UX 3.1 sh.
150 cat << EOF
151 Usage: ./configure [options]
152 Options: [defaults in brackets after descriptions]
153 Configuration:
154 --cache-file=FILE cache test results in FILE
155 --help print this message
156 --no-create do not create output files
157 --quiet, --silent do not print \`checking...' messages
158 --version print the version of autoconf that created configure
159 Directory and file names:
160 --prefix=PREFIX install architecture-independent files in PREFIX
161 [$ac_default_prefix]
162 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
163 [same as prefix]
164 --bindir=DIR user executables in DIR [EPREFIX/bin]
165 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
166 --includedir=DIR C header files in DIR [PREFIX/include]
167 --mandir=DIR man documentation in DIR [PREFIX/man]
168 EOF
169 cat << EOF
170 EOF
171 if test -n "$ac_help"; then
172 echo "--enable and --with options recognized:$ac_help"
173 fi
174 exit 0 ;;
175
176 -host | --host | --hos | --ho)
177 ac_prev=host ;;
178 -host=* | --host=* | --hos=* | --ho=*)
179 host="$ac_optarg" ;;
180
181 -includedir | --includedir | --includedi | --included | --include \
182 | --includ | --inclu | --incl | --inc)
183 ac_prev=includedir ;;
184 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
185 | --includ=* | --inclu=* | --incl=* | --inc=*)
186 includedir="$ac_optarg" ;;
187
188 -infodir | --infodir | --infodi | --infod | --info | --inf)
189 ac_prev=infodir ;;
190 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
191 infodir="$ac_optarg" ;;
192
193 -libdir | --libdir | --libdi | --libd)
194 ac_prev=libdir ;;
195 -libdir=* | --libdir=* | --libdi=* | --libd=*)
196 libdir="$ac_optarg" ;;
197
198 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
199 | --libexe | --libex | --libe)
200 ac_prev=libexecdir ;;
201 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
202 | --libexe=* | --libex=* | --libe=*)
203 libexecdir="$ac_optarg" ;;
204
205 -localstatedir | --localstatedir | --localstatedi | --localstated \
206 | --localstate | --localstat | --localsta | --localst \
207 | --locals | --local | --loca | --loc | --lo)
208 ac_prev=localstatedir ;;
209 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
210 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
211 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
212 localstatedir="$ac_optarg" ;;
213
214 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
215 ac_prev=mandir ;;
216 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
217 mandir="$ac_optarg" ;;
218
219 -nfp | --nfp | --nf)
220 # Obsolete; use --without-fp.
221 with_fp=no ;;
222
223 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
224 | --no-cr | --no-c)
225 no_create=yes ;;
226
227 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
228 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
229 no_recursion=yes ;;
230
231 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
232 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
233 | --oldin | --oldi | --old | --ol | --o)
234 ac_prev=oldincludedir ;;
235 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
236 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
237 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
238 oldincludedir="$ac_optarg" ;;
239
240 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
241 ac_prev=prefix ;;
242 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
243 prefix="$ac_optarg" ;;
244
245 -program-prefix | --program-prefix | --program-prefi | --program-pref \
246 | --program-pre | --program-pr | --program-p)
247 ac_prev=program_prefix ;;
248 -program-prefix=* | --program-prefix=* | --program-prefi=* \
249 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
250 program_prefix="$ac_optarg" ;;
251
252 -program-suffix | --program-suffix | --program-suffi | --program-suff \
253 | --program-suf | --program-su | --program-s)
254 ac_prev=program_suffix ;;
255 -program-suffix=* | --program-suffix=* | --program-suffi=* \
256 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
257 program_suffix="$ac_optarg" ;;
258
259 -program-transform-name | --program-transform-name \
260 | --program-transform-nam | --program-transform-na \
261 | --program-transform-n | --program-transform- \
262 | --program-transform | --program-transfor \
263 | --program-transfo | --program-transf \
264 | --program-trans | --program-tran \
265 | --progr-tra | --program-tr | --program-t)
266 ac_prev=program_transform_name ;;
267 -program-transform-name=* | --program-transform-name=* \
268 | --program-transform-nam=* | --program-transform-na=* \
269 | --program-transform-n=* | --program-transform-=* \
270 | --program-transform=* | --program-transfor=* \
271 | --program-transfo=* | --program-transf=* \
272 | --program-trans=* | --program-tran=* \
273 | --progr-tra=* | --program-tr=* | --program-t=*)
274 program_transform_name="$ac_optarg" ;;
275
276 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
277 | -silent | --silent | --silen | --sile | --sil)
278 silent=yes ;;
279
280 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
281 ac_prev=sbindir ;;
282 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
283 | --sbi=* | --sb=*)
284 sbindir="$ac_optarg" ;;
285
286 -sharedstatedir | --sharedstatedir | --sharedstatedi \
287 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
288 | --sharedst | --shareds | --shared | --share | --shar \
289 | --sha | --sh)
290 ac_prev=sharedstatedir ;;
291 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
292 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
293 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
294 | --sha=* | --sh=*)
295 sharedstatedir="$ac_optarg" ;;
296
297 -site | --site | --sit)
298 ac_prev=site ;;
299 -site=* | --site=* | --sit=*)
300 site="$ac_optarg" ;;
301
302 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
303 ac_prev=srcdir ;;
304 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
305 srcdir="$ac_optarg" ;;
306
307 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
308 | --syscon | --sysco | --sysc | --sys | --sy)
309 ac_prev=sysconfdir ;;
310 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
311 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
312 sysconfdir="$ac_optarg" ;;
313
314 -target | --target | --targe | --targ | --tar | --ta | --t)
315 ac_prev=target ;;
316 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
317 target="$ac_optarg" ;;
318
319 -v | -verbose | --verbose | --verbos | --verbo | --verb)
320 verbose=yes ;;
321
322 -version | --version | --versio | --versi | --vers)
323 echo "configure generated by autoconf version 2.13"
324 exit 0 ;;
325
326 -with-* | --with-*)
327 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
328 # Reject names that are not valid shell variable names.
329 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
330 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
331 fi
332 ac_package=`echo $ac_package| sed 's/-/_/g'`
333 case "$ac_option" in
334 *=*) ;;
335 *) ac_optarg=yes ;;
336 esac
337 eval "with_${ac_package}='$ac_optarg'" ;;
338
339 -without-* | --without-*)
340 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 eval "with_${ac_package}=no" ;;
347
348 --x)
349 # Obsolete; use --with-x.
350 with_x=yes ;;
351
352 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
353 | --x-incl | --x-inc | --x-in | --x-i)
354 ac_prev=x_includes ;;
355 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
356 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
357 x_includes="$ac_optarg" ;;
358
359 -x-libraries | --x-libraries | --x-librarie | --x-librari \
360 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
361 ac_prev=x_libraries ;;
362 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
363 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
364 x_libraries="$ac_optarg" ;;
365
366 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
367 ;;
368
369 *)
370 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
371 echo "configure: warning: $ac_option: invalid host type" 1>&2
372 fi
373 if test "x$nonopt" != xNONE; then
374 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
375 fi
376 nonopt="$ac_option"
377 ;;
378
379 esac
380 done
381
382 if test -n "$ac_prev"; then
383 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
384 fi
385
386 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
387
388 # File descriptor usage:
389 # 0 standard input
390 # 1 file creation
391 # 2 errors and warnings
392 # 3 some systems may open it to /dev/tty
393 # 4 used on the Kubota Titan
394 # 6 checking for... messages and results
395 # 5 compiler messages saved in config.log
396 if test "$silent" = yes; then
397 exec 6>/dev/null
398 else
399 exec 6>&1
400 fi
401 exec 5>./config.log
402
403 echo "\
404 This file contains any messages produced by compilers while
405 running configure, to aid debugging if configure makes a mistake.
406 " 1>&5
407
408 # Strip out --no-create and --no-recursion so they do not pile up.
409 # Also quote any args containing shell metacharacters.
410 ac_configure_args=
411 for ac_arg
412 do
413 case "$ac_arg" in
414 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
415 | --no-cr | --no-c) ;;
416 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
417 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
418 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
419 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
420 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
421 esac
422 done
423
424 # NLS nuisances.
425 # Only set these to C if already set. These must not be set unconditionally
426 # because not all systems understand e.g. LANG=C (notably SCO).
427 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
428 # Non-C LC_CTYPE values break the ctype check.
429 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
430 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
431 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
432 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
433
434 # confdefs.h avoids OS command line length limits that DEFS can exceed.
435 rm -rf conftest* confdefs.h
436 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
437 echo > confdefs.h
438
439 # A filename unique to this package, relative to the directory that
440 # configure is in, which we can look for to find out if srcdir is correct.
441 ac_unique_file=dftables.c
442
443 # Find the source files, if location was not specified.
444 if test -z "$srcdir"; then
445 ac_srcdir_defaulted=yes
446 # Try the directory containing this script, then its parent.
447 ac_prog=$0
448 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
449 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
450 srcdir=$ac_confdir
451 if test ! -r $srcdir/$ac_unique_file; then
452 srcdir=..
453 fi
454 else
455 ac_srcdir_defaulted=no
456 fi
457 if test ! -r $srcdir/$ac_unique_file; then
458 if test "$ac_srcdir_defaulted" = yes; then
459 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
460 else
461 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
462 fi
463 fi
464 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
465
466 # Prefer explicitly selected file to automatically selected ones.
467 if test -z "$CONFIG_SITE"; then
468 if test "x$prefix" != xNONE; then
469 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
470 else
471 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
472 fi
473 fi
474 for ac_site_file in $CONFIG_SITE; do
475 if test -r "$ac_site_file"; then
476 echo "loading site script $ac_site_file"
477 . "$ac_site_file"
478 fi
479 done
480
481 if test -r "$cache_file"; then
482 echo "loading cache $cache_file"
483 . $cache_file
484 else
485 echo "creating cache $cache_file"
486 > $cache_file
487 fi
488
489 ac_ext=c
490 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
491 ac_cpp='$CPP $CPPFLAGS'
492 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
493 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
494 cross_compiling=$ac_cv_prog_cc_cross
495
496 ac_exeext=
497 ac_objext=o
498 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
499 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
500 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
501 ac_n= ac_c='
502 ' ac_t=' '
503 else
504 ac_n=-n ac_c= ac_t=
505 fi
506 else
507 ac_n= ac_c='\c' ac_t=
508 fi
509
510
511
512
513
514
515 PCRE_MAJOR=3
516 PCRE_MINOR=3
517 PCRE_DATE=01-Aug-2000
518 PCRE_VERSION=${PCRE_MAJOR}.${PCRE_MINOR}
519
520
521 PCRE_LIB_VERSION=0:1:0
522 PCRE_POSIXLIB_VERSION=0:0:0
523
524
525 # Extract the first word of "gcc", so it can be a program name with args.
526 set dummy gcc; ac_word=$2
527 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
528 echo "configure:546: checking for $ac_word" >&5
529 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
530 echo $ac_n "(cached) $ac_c" 1>&6
531 else
532 if test -n "$CC"; then
533 ac_cv_prog_CC="$CC" # Let the user override the test.
534 else
535 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
536 ac_dummy="$PATH"
537 for ac_dir in $ac_dummy; do
538 test -z "$ac_dir" && ac_dir=.
539 if test -f $ac_dir/$ac_word; then
540 ac_cv_prog_CC="gcc"
541 break
542 fi
543 done
544 IFS="$ac_save_ifs"
545 fi
546 fi
547 CC="$ac_cv_prog_CC"
548 if test -n "$CC"; then
549 echo "$ac_t""$CC" 1>&6
550 else
551 echo "$ac_t""no" 1>&6
552 fi
553
554 if test -z "$CC"; then
555 # Extract the first word of "cc", so it can be a program name with args.
556 set dummy cc; ac_word=$2
557 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
558 echo "configure:576: checking for $ac_word" >&5
559 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
560 echo $ac_n "(cached) $ac_c" 1>&6
561 else
562 if test -n "$CC"; then
563 ac_cv_prog_CC="$CC" # Let the user override the test.
564 else
565 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
566 ac_prog_rejected=no
567 ac_dummy="$PATH"
568 for ac_dir in $ac_dummy; do
569 test -z "$ac_dir" && ac_dir=.
570 if test -f $ac_dir/$ac_word; then
571 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
572 ac_prog_rejected=yes
573 continue
574 fi
575 ac_cv_prog_CC="cc"
576 break
577 fi
578 done
579 IFS="$ac_save_ifs"
580 if test $ac_prog_rejected = yes; then
581 # We found a bogon in the path, so make sure we never use it.
582 set dummy $ac_cv_prog_CC
583 shift
584 if test $# -gt 0; then
585 # We chose a different compiler from the bogus one.
586 # However, it has the same basename, so the bogon will be chosen
587 # first if we set CC to just the basename; use the full file name.
588 shift
589 set dummy "$ac_dir/$ac_word" "$@"
590 shift
591 ac_cv_prog_CC="$@"
592 fi
593 fi
594 fi
595 fi
596 CC="$ac_cv_prog_CC"
597 if test -n "$CC"; then
598 echo "$ac_t""$CC" 1>&6
599 else
600 echo "$ac_t""no" 1>&6
601 fi
602
603 if test -z "$CC"; then
604 case "`uname -s`" in
605 *win32* | *WIN32*)
606 # Extract the first word of "cl", so it can be a program name with args.
607 set dummy cl; ac_word=$2
608 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
609 echo "configure:627: checking for $ac_word" >&5
610 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
611 echo $ac_n "(cached) $ac_c" 1>&6
612 else
613 if test -n "$CC"; then
614 ac_cv_prog_CC="$CC" # Let the user override the test.
615 else
616 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
617 ac_dummy="$PATH"
618 for ac_dir in $ac_dummy; do
619 test -z "$ac_dir" && ac_dir=.
620 if test -f $ac_dir/$ac_word; then
621 ac_cv_prog_CC="cl"
622 break
623 fi
624 done
625 IFS="$ac_save_ifs"
626 fi
627 fi
628 CC="$ac_cv_prog_CC"
629 if test -n "$CC"; then
630 echo "$ac_t""$CC" 1>&6
631 else
632 echo "$ac_t""no" 1>&6
633 fi
634 ;;
635 esac
636 fi
637 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
638 fi
639
640 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
641 echo "configure:659: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
642
643 ac_ext=c
644 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
645 ac_cpp='$CPP $CPPFLAGS'
646 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
647 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
648 cross_compiling=$ac_cv_prog_cc_cross
649
650 cat > conftest.$ac_ext << EOF
651
652 #line 670 "configure"
653 #include "confdefs.h"
654
655 main(){return(0);}
656 EOF
657 if { (eval echo configure:675: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
658 ac_cv_prog_cc_works=yes
659 # If we can't run a trivial program, we are probably using a cross compiler.
660 if (./conftest; exit) 2>/dev/null; then
661 ac_cv_prog_cc_cross=no
662 else
663 ac_cv_prog_cc_cross=yes
664 fi
665 else
666 echo "configure: failed program was:" >&5
667 cat conftest.$ac_ext >&5
668 ac_cv_prog_cc_works=no
669 fi
670 rm -fr conftest*
671 ac_ext=c
672 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
673 ac_cpp='$CPP $CPPFLAGS'
674 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
675 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
676 cross_compiling=$ac_cv_prog_cc_cross
677
678 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
679 if test $ac_cv_prog_cc_works = no; then
680 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
681 fi
682 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
683 echo "configure:701: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
684 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
685 cross_compiling=$ac_cv_prog_cc_cross
686
687 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
688 echo "configure:706: checking whether we are using GNU C" >&5
689 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
690 echo $ac_n "(cached) $ac_c" 1>&6
691 else
692 cat > conftest.c <<EOF
693 #ifdef __GNUC__
694 yes;
695 #endif
696 EOF
697 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:715: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
698 ac_cv_prog_gcc=yes
699 else
700 ac_cv_prog_gcc=no
701 fi
702 fi
703
704 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
705
706 if test $ac_cv_prog_gcc = yes; then
707 GCC=yes
708 else
709 GCC=
710 fi
711
712 ac_test_CFLAGS="${CFLAGS+set}"
713 ac_save_CFLAGS="$CFLAGS"
714 CFLAGS=
715 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
716 echo "configure:734: checking whether ${CC-cc} accepts -g" >&5
717 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
718 echo $ac_n "(cached) $ac_c" 1>&6
719 else
720 echo 'void f(){}' > conftest.c
721 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
722 ac_cv_prog_cc_g=yes
723 else
724 ac_cv_prog_cc_g=no
725 fi
726 rm -f conftest*
727
728 fi
729
730 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
731 if test "$ac_test_CFLAGS" = set; then
732 CFLAGS="$ac_save_CFLAGS"
733 elif test $ac_cv_prog_cc_g = yes; then
734 if test "$GCC" = yes; then
735 CFLAGS="-g -O2"
736 else
737 CFLAGS="-g"
738 fi
739 else
740 if test "$GCC" = yes; then
741 CFLAGS="-O2"
742 else
743 CFLAGS=
744 fi
745 fi
746
747 # Extract the first word of "ranlib", so it can be a program name with args.
748 set dummy ranlib; ac_word=$2
749 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
750 echo "configure:768: checking for $ac_word" >&5
751 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
752 echo $ac_n "(cached) $ac_c" 1>&6
753 else
754 if test -n "$RANLIB"; then
755 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
756 else
757 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
758 ac_dummy="$PATH"
759 for ac_dir in $ac_dummy; do
760 test -z "$ac_dir" && ac_dir=.
761 if test -f $ac_dir/$ac_word; then
762 ac_cv_prog_RANLIB="ranlib"
763 break
764 fi
765 done
766 IFS="$ac_save_ifs"
767 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
768 fi
769 fi
770 RANLIB="$ac_cv_prog_RANLIB"
771 if test -n "$RANLIB"; then
772 echo "$ac_t""$RANLIB" 1>&6
773 else
774 echo "$ac_t""no" 1>&6
775 fi
776
777
778
779 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
780 echo "configure:798: checking how to run the C preprocessor" >&5
781 # On Suns, sometimes $CPP names a directory.
782 if test -n "$CPP" && test -d "$CPP"; then
783 CPP=
784 fi
785 if test -z "$CPP"; then
786 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
787 echo $ac_n "(cached) $ac_c" 1>&6
788 else
789 # This must be in double quotes, not single quotes, because CPP may get
790 # substituted into the Makefile and "${CC-cc}" will confuse make.
791 CPP="${CC-cc} -E"
792 # On the NeXT, cc -E runs the code through the compiler's parser,
793 # not just through cpp.
794 cat > conftest.$ac_ext <<EOF
795 #line 813 "configure"
796 #include "confdefs.h"
797 #include <assert.h>
798 Syntax Error
799 EOF
800 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
801 { (eval echo configure:819: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
802 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
803 if test -z "$ac_err"; then
804 :
805 else
806 echo "$ac_err" >&5
807 echo "configure: failed program was:" >&5
808 cat conftest.$ac_ext >&5
809 rm -rf conftest*
810 CPP="${CC-cc} -E -traditional-cpp"
811 cat > conftest.$ac_ext <<EOF
812 #line 830 "configure"
813 #include "confdefs.h"
814 #include <assert.h>
815 Syntax Error
816 EOF
817 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
818 { (eval echo configure:836: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
819 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
820 if test -z "$ac_err"; then
821 :
822 else
823 echo "$ac_err" >&5
824 echo "configure: failed program was:" >&5
825 cat conftest.$ac_ext >&5
826 rm -rf conftest*
827 CPP="${CC-cc} -nologo -E"
828 cat > conftest.$ac_ext <<EOF
829 #line 847 "configure"
830 #include "confdefs.h"
831 #include <assert.h>
832 Syntax Error
833 EOF
834 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
835 { (eval echo configure:853: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
836 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
837 if test -z "$ac_err"; then
838 :
839 else
840 echo "$ac_err" >&5
841 echo "configure: failed program was:" >&5
842 cat conftest.$ac_ext >&5
843 rm -rf conftest*
844 CPP=/lib/cpp
845 fi
846 rm -f conftest*
847 fi
848 rm -f conftest*
849 fi
850 rm -f conftest*
851 ac_cv_prog_CPP="$CPP"
852 fi
853 CPP="$ac_cv_prog_CPP"
854 else
855 ac_cv_prog_CPP="$CPP"
856 fi
857 echo "$ac_t""$CPP" 1>&6
858
859 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
860 echo "configure:878: checking for ANSI C header files" >&5
861 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
862 echo $ac_n "(cached) $ac_c" 1>&6
863 else
864 cat > conftest.$ac_ext <<EOF
865 #line 883 "configure"
866 #include "confdefs.h"
867 #include <stdlib.h>
868 #include <stdarg.h>
869 #include <string.h>
870 #include <float.h>
871 EOF
872 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
873 { (eval echo configure:891: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
874 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
875 if test -z "$ac_err"; then
876 rm -rf conftest*
877 ac_cv_header_stdc=yes
878 else
879 echo "$ac_err" >&5
880 echo "configure: failed program was:" >&5
881 cat conftest.$ac_ext >&5
882 rm -rf conftest*
883 ac_cv_header_stdc=no
884 fi
885 rm -f conftest*
886
887 if test $ac_cv_header_stdc = yes; then
888 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
889 cat > conftest.$ac_ext <<EOF
890 #line 908 "configure"
891 #include "confdefs.h"
892 #include <string.h>
893 EOF
894 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
895 egrep "memchr" >/dev/null 2>&1; then
896 :
897 else
898 rm -rf conftest*
899 ac_cv_header_stdc=no
900 fi
901 rm -f conftest*
902
903 fi
904
905 if test $ac_cv_header_stdc = yes; then
906 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
907 cat > conftest.$ac_ext <<EOF
908 #line 926 "configure"
909 #include "confdefs.h"
910 #include <stdlib.h>
911 EOF
912 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
913 egrep "free" >/dev/null 2>&1; then
914 :
915 else
916 rm -rf conftest*
917 ac_cv_header_stdc=no
918 fi
919 rm -f conftest*
920
921 fi
922
923 if test $ac_cv_header_stdc = yes; then
924 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
925 if test "$cross_compiling" = yes; then
926 :
927 else
928 cat > conftest.$ac_ext <<EOF
929 #line 947 "configure"
930 #include "confdefs.h"
931 #include <ctype.h>
932 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
933 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
934 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
935 int main () { int i; for (i = 0; i < 256; i++)
936 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
937 exit (0); }
938
939 EOF
940 if { (eval echo configure:958: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
941 then
942 :
943 else
944 echo "configure: failed program was:" >&5
945 cat conftest.$ac_ext >&5
946 rm -fr conftest*
947 ac_cv_header_stdc=no
948 fi
949 rm -fr conftest*
950 fi
951
952 fi
953 fi
954
955 echo "$ac_t""$ac_cv_header_stdc" 1>&6
956 if test $ac_cv_header_stdc = yes; then
957 cat >> confdefs.h <<\EOF
958 #define STDC_HEADERS 1
959 EOF
960
961 fi
962
963 for ac_hdr in limits.h
964 do
965 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
966 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
967 echo "configure:985: checking for $ac_hdr" >&5
968 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
969 echo $ac_n "(cached) $ac_c" 1>&6
970 else
971 cat > conftest.$ac_ext <<EOF
972 #line 990 "configure"
973 #include "confdefs.h"
974 #include <$ac_hdr>
975 EOF
976 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
977 { (eval echo configure:995: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
978 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
979 if test -z "$ac_err"; then
980 rm -rf conftest*
981 eval "ac_cv_header_$ac_safe=yes"
982 else
983 echo "$ac_err" >&5
984 echo "configure: failed program was:" >&5
985 cat conftest.$ac_ext >&5
986 rm -rf conftest*
987 eval "ac_cv_header_$ac_safe=no"
988 fi
989 rm -f conftest*
990 fi
991 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
992 echo "$ac_t""yes" 1>&6
993 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
994 cat >> confdefs.h <<EOF
995 #define $ac_tr_hdr 1
996 EOF
997
998 else
999 echo "$ac_t""no" 1>&6
1000 fi
1001 done
1002
1003
1004
1005 echo $ac_n "checking for working const""... $ac_c" 1>&6
1006 echo "configure:1024: checking for working const" >&5
1007 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1008 echo $ac_n "(cached) $ac_c" 1>&6
1009 else
1010 cat > conftest.$ac_ext <<EOF
1011 #line 1029 "configure"
1012 #include "confdefs.h"
1013
1014 int main() {
1015
1016 /* Ultrix mips cc rejects this. */
1017 typedef int charset[2]; const charset x;
1018 /* SunOS 4.1.1 cc rejects this. */
1019 char const *const *ccp;
1020 char **p;
1021 /* NEC SVR4.0.2 mips cc rejects this. */
1022 struct point {int x, y;};
1023 static struct point const zero = {0,0};
1024 /* AIX XL C 1.02.0.0 rejects this.
1025 It does not let you subtract one const X* pointer from another in an arm
1026 of an if-expression whose if-part is not a constant expression */
1027 const char *g = "string";
1028 ccp = &g + (g ? g-g : 0);
1029 /* HPUX 7.0 cc rejects these. */
1030 ++ccp;
1031 p = (char**) ccp;
1032 ccp = (char const *const *) p;
1033 { /* SCO 3.2v4 cc rejects this. */
1034 char *t;
1035 char const *s = 0 ? (char *) 0 : (char const *) 0;
1036
1037 *t++ = 0;
1038 }
1039 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1040 int x[] = {25, 17};
1041 const int *foo = &x[0];
1042 ++foo;
1043 }
1044 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1045 typedef const int *iptr;
1046 iptr p = 0;
1047 ++p;
1048 }
1049 { /* AIX XL C 1.02.0.0 rejects this saying
1050 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1051 struct s { int j; const int *ap[3]; };
1052 struct s *b; b->j = 5;
1053 }
1054 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1055 const int foo = 10;
1056 }
1057
1058 ; return 0; }
1059 EOF
1060 if { (eval echo configure:1078: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1061 rm -rf conftest*
1062 ac_cv_c_const=yes
1063 else
1064 echo "configure: failed program was:" >&5
1065 cat conftest.$ac_ext >&5
1066 rm -rf conftest*
1067 ac_cv_c_const=no
1068 fi
1069 rm -f conftest*
1070 fi
1071
1072 echo "$ac_t""$ac_cv_c_const" 1>&6
1073 if test $ac_cv_c_const = no; then
1074 cat >> confdefs.h <<\EOF
1075 #define const
1076 EOF
1077
1078 fi
1079
1080 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1081 echo "configure:1099: checking for size_t" >&5
1082 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1083 echo $ac_n "(cached) $ac_c" 1>&6
1084 else
1085 cat > conftest.$ac_ext <<EOF
1086 #line 1104 "configure"
1087 #include "confdefs.h"
1088 #include <sys/types.h>
1089 #if STDC_HEADERS
1090 #include <stdlib.h>
1091 #include <stddef.h>
1092 #endif
1093 EOF
1094 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1095 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1096 rm -rf conftest*
1097 ac_cv_type_size_t=yes
1098 else
1099 rm -rf conftest*
1100 ac_cv_type_size_t=no
1101 fi
1102 rm -f conftest*
1103
1104 fi
1105 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1106 if test $ac_cv_type_size_t = no; then
1107 cat >> confdefs.h <<\EOF
1108 #define size_t unsigned
1109 EOF
1110
1111 fi
1112
1113
1114
1115 for ac_func in bcopy memmove strerror
1116 do
1117 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1118 echo "configure:1136: checking for $ac_func" >&5
1119 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1120 echo $ac_n "(cached) $ac_c" 1>&6
1121 else
1122 cat > conftest.$ac_ext <<EOF
1123 #line 1141 "configure"
1124 #include "confdefs.h"
1125 /* System header to define __stub macros and hopefully few prototypes,
1126 which can conflict with char $ac_func(); below. */
1127 #include <assert.h>
1128 /* Override any gcc2 internal prototype to avoid an error. */
1129 /* We use char because int might match the return type of a gcc2
1130 builtin and then its argument prototype would still apply. */
1131 char $ac_func();
1132
1133 int main() {
1134
1135 /* The GNU C library defines this for functions which it implements
1136 to always fail with ENOSYS. Some functions are actually named
1137 something starting with __ and the normal name is an alias. */
1138 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1139 choke me
1140 #else
1141 $ac_func();
1142 #endif
1143
1144 ; return 0; }
1145 EOF
1146 if { (eval echo configure:1164: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1147 rm -rf conftest*
1148 eval "ac_cv_func_$ac_func=yes"
1149 else
1150 echo "configure: failed program was:" >&5
1151 cat conftest.$ac_ext >&5
1152 rm -rf conftest*
1153 eval "ac_cv_func_$ac_func=no"
1154 fi
1155 rm -f conftest*
1156 fi
1157
1158 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1159 echo "$ac_t""yes" 1>&6
1160 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1161 cat >> confdefs.h <<EOF
1162 #define $ac_tr_func 1
1163 EOF
1164
1165 else
1166 echo "$ac_t""no" 1>&6
1167 fi
1168 done
1169
1170
1171
1172 LIBTOOL=./libtool
1173 LIBSUFFIX=la
1174 # Check whether --enable-shared or --disable-shared was given.
1175 if test "${enable_shared+set}" = set; then
1176 enableval="$enable_shared"
1177 if test "$enableval" = "no"; then
1178 LIBTOOL=
1179 LIBSUFFIX=a
1180 fi
1181
1182 fi
1183
1184
1185
1186 # Check whether --enable-utf8 or --disable-utf8 was given.
1187 if test "${enable_utf8+set}" = set; then
1188 enableval="$enable_utf8"
1189 if test "$enableval" = "yes"; then
1190 UTF8=-DSUPPORT_UTF8
1191 fi
1192
1193 fi
1194
1195
1196
1197
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209 trap '' 1 2 15
1210 cat > confcache <<\EOF
1211 # This file is a shell script that caches the results of configure
1212 # tests run on this system so they can be shared between configure
1213 # scripts and configure runs. It is not useful on other systems.
1214 # If it contains results you don't want to keep, you may remove or edit it.
1215 #
1216 # By default, configure uses ./config.cache as the cache file,
1217 # creating it if it does not exist already. You can give configure
1218 # the --cache-file=FILE option to use a different cache file; that is
1219 # what configure does when it calls configure scripts in
1220 # subdirectories, so they share the cache.
1221 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1222 # config.status only pays attention to the cache file if you give it the
1223 # --recheck option to rerun configure.
1224 #
1225 EOF
1226 # The following way of writing the cache mishandles newlines in values,
1227 # but we know of no workaround that is simple, portable, and efficient.
1228 # So, don't put newlines in cache variables' values.
1229 # Ultrix sh set writes to stderr and can't be redirected directly,
1230 # and sets the high bit in the cache file unless we assign to the vars.
1231 (set) 2>&1 |
1232 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1233 *ac_space=\ *)
1234 # `set' does not quote correctly, so add quotes (double-quote substitution
1235 # turns \\\\ into \\, and sed turns \\ into \).
1236 sed -n \
1237 -e "s/'/'\\\\''/g" \
1238 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1239 ;;
1240 *)
1241 # `set' quotes correctly as required by POSIX, so do not add quotes.
1242 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1243 ;;
1244 esac >> confcache
1245 if cmp -s $cache_file confcache; then
1246 :
1247 else
1248 if test -w $cache_file; then
1249 echo "updating cache $cache_file"
1250 cat confcache > $cache_file
1251 else
1252 echo "not updating unwritable cache $cache_file"
1253 fi
1254 fi
1255 rm -f confcache
1256
1257 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1258
1259 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1260 # Let make expand exec_prefix.
1261 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1262
1263 # Any assignment to VPATH causes Sun make to only execute
1264 # the first set of double-colon rules, so remove it if not needed.
1265 # If there is a colon in the path, we need to keep it.
1266 if test "x$srcdir" = x.; then
1267 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1268 fi
1269
1270 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1271
1272 DEFS=-DHAVE_CONFIG_H
1273
1274 # Without the "./", some shells look in PATH for config.status.
1275 : ${CONFIG_STATUS=./config.status}
1276
1277 echo creating $CONFIG_STATUS
1278 rm -f $CONFIG_STATUS
1279 cat > $CONFIG_STATUS <<EOF
1280 #! /bin/sh
1281 # Generated automatically by configure.
1282 # Run this file to recreate the current configuration.
1283 # This directory was configured as follows,
1284 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1285 #
1286 # $0 $ac_configure_args
1287 #
1288 # Compiler output produced by configure, useful for debugging
1289 # configure, is in ./config.log if it exists.
1290
1291 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1292 for ac_option
1293 do
1294 case "\$ac_option" in
1295 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1296 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1297 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1298 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1299 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1300 exit 0 ;;
1301 -help | --help | --hel | --he | --h)
1302 echo "\$ac_cs_usage"; exit 0 ;;
1303 *) echo "\$ac_cs_usage"; exit 1 ;;
1304 esac
1305 done
1306
1307 ac_given_srcdir=$srcdir
1308
1309 trap 'rm -fr `echo "Makefile pcre.h:pcre.in pcre-config:pcre-config.in RunTest:RunTest.in config.h:config.in" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1310 EOF
1311 cat >> $CONFIG_STATUS <<EOF
1312
1313 # Protect against being on the right side of a sed subst in config.status.
1314 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1315 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1316 $ac_vpsub
1317 $extrasub
1318 s%@SHELL@%$SHELL%g
1319 s%@CFLAGS@%$CFLAGS%g
1320 s%@CPPFLAGS@%$CPPFLAGS%g
1321 s%@CXXFLAGS@%$CXXFLAGS%g
1322 s%@FFLAGS@%$FFLAGS%g
1323 s%@DEFS@%$DEFS%g
1324 s%@LDFLAGS@%$LDFLAGS%g
1325 s%@LIBS@%$LIBS%g
1326 s%@exec_prefix@%$exec_prefix%g
1327 s%@prefix@%$prefix%g
1328 s%@program_transform_name@%$program_transform_name%g
1329 s%@bindir@%$bindir%g
1330 s%@sbindir@%$sbindir%g
1331 s%@libexecdir@%$libexecdir%g
1332 s%@datadir@%$datadir%g
1333 s%@sysconfdir@%$sysconfdir%g
1334 s%@sharedstatedir@%$sharedstatedir%g
1335 s%@localstatedir@%$localstatedir%g
1336 s%@libdir@%$libdir%g
1337 s%@includedir@%$includedir%g
1338 s%@oldincludedir@%$oldincludedir%g
1339 s%@infodir@%$infodir%g
1340 s%@mandir@%$mandir%g
1341 s%@CC@%$CC%g
1342 s%@RANLIB@%$RANLIB%g
1343 s%@CPP@%$CPP%g
1344 s%@HAVE_MEMMOVE@%$HAVE_MEMMOVE%g
1345 s%@HAVE_STRERROR@%$HAVE_STRERROR%g
1346 s%@LIBTOOL@%$LIBTOOL%g
1347 s%@LIBSUFFIX@%$LIBSUFFIX%g
1348 s%@UTF8@%$UTF8%g
1349 s%@PCRE_MAJOR@%$PCRE_MAJOR%g
1350 s%@PCRE_MINOR@%$PCRE_MINOR%g
1351 s%@PCRE_DATE@%$PCRE_DATE%g
1352 s%@PCRE_VERSION@%$PCRE_VERSION%g
1353 s%@PCRE_LIB_VERSION@%$PCRE_LIB_VERSION%g
1354 s%@PCRE_POSIXLIB_VERSION@%$PCRE_POSIXLIB_VERSION%g
1355
1356 CEOF
1357 EOF
1358
1359 cat >> $CONFIG_STATUS <<\EOF
1360
1361 # Split the substitutions into bite-sized pieces for seds with
1362 # small command number limits, like on Digital OSF/1 and HP-UX.
1363 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1364 ac_file=1 # Number of current file.
1365 ac_beg=1 # First line for current file.
1366 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1367 ac_more_lines=:
1368 ac_sed_cmds=""
1369 while $ac_more_lines; do
1370 if test $ac_beg -gt 1; then
1371 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1372 else
1373 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1374 fi
1375 if test ! -s conftest.s$ac_file; then
1376 ac_more_lines=false
1377 rm -f conftest.s$ac_file
1378 else
1379 if test -z "$ac_sed_cmds"; then
1380 ac_sed_cmds="sed -f conftest.s$ac_file"
1381 else
1382 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1383 fi
1384 ac_file=`expr $ac_file + 1`
1385 ac_beg=$ac_end
1386 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1387 fi
1388 done
1389 if test -z "$ac_sed_cmds"; then
1390 ac_sed_cmds=cat
1391 fi
1392 EOF
1393
1394 cat >> $CONFIG_STATUS <<EOF
1395
1396 CONFIG_FILES=\${CONFIG_FILES-"Makefile pcre.h:pcre.in pcre-config:pcre-config.in RunTest:RunTest.in"}
1397 EOF
1398 cat >> $CONFIG_STATUS <<\EOF
1399 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1400 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1401 case "$ac_file" in
1402 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1403 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1404 *) ac_file_in="${ac_file}.in" ;;
1405 esac
1406
1407 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1408
1409 # Remove last slash and all that follows it. Not all systems have dirname.
1410 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1411 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1412 # The file is in a subdirectory.
1413 test ! -d "$ac_dir" && mkdir "$ac_dir"
1414 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1415 # A "../" for each directory in $ac_dir_suffix.
1416 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1417 else
1418 ac_dir_suffix= ac_dots=
1419 fi
1420
1421 case "$ac_given_srcdir" in
1422 .) srcdir=.
1423 if test -z "$ac_dots"; then top_srcdir=.
1424 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1425 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1426 *) # Relative path.
1427 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1428 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1429 esac
1430
1431
1432 echo creating "$ac_file"
1433 rm -f "$ac_file"
1434 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1435 case "$ac_file" in
1436 *Makefile*) ac_comsub="1i\\
1437 # $configure_input" ;;
1438 *) ac_comsub= ;;
1439 esac
1440
1441 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1442 sed -e "$ac_comsub
1443 s%@configure_input@%$configure_input%g
1444 s%@srcdir@%$srcdir%g
1445 s%@top_srcdir@%$top_srcdir%g
1446 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1447 fi; done
1448 rm -f conftest.s*
1449
1450 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1451 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1452 #
1453 # ac_d sets the value in "#define NAME VALUE" lines.
1454 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1455 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1456 ac_dC='\3'
1457 ac_dD='%g'
1458 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1459 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1460 ac_uB='\([ ]\)%\1#\2define\3'
1461 ac_uC=' '
1462 ac_uD='\4%g'
1463 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1464 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1465 ac_eB='$%\1#\2define\3'
1466 ac_eC=' '
1467 ac_eD='%g'
1468
1469 if test "${CONFIG_HEADERS+set}" != set; then
1470 EOF
1471 cat >> $CONFIG_STATUS <<EOF
1472 CONFIG_HEADERS="config.h:config.in"
1473 EOF
1474 cat >> $CONFIG_STATUS <<\EOF
1475 fi
1476 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1477 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1478 case "$ac_file" in
1479 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1480 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1481 *) ac_file_in="${ac_file}.in" ;;
1482 esac
1483
1484 echo creating $ac_file
1485
1486 rm -f conftest.frag conftest.in conftest.out
1487 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1488 cat $ac_file_inputs > conftest.in
1489
1490 EOF
1491
1492 # Transform confdefs.h into a sed script conftest.vals that substitutes
1493 # the proper values into config.h.in to produce config.h. And first:
1494 # Protect against being on the right side of a sed subst in config.status.
1495 # Protect against being in an unquoted here document in config.status.
1496 rm -f conftest.vals
1497 cat > conftest.hdr <<\EOF
1498 s/[\\&%]/\\&/g
1499 s%[\\$`]%\\&%g
1500 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1501 s%ac_d%ac_u%gp
1502 s%ac_u%ac_e%gp
1503 EOF
1504 sed -n -f conftest.hdr confdefs.h > conftest.vals
1505 rm -f conftest.hdr
1506
1507 # This sed command replaces #undef with comments. This is necessary, for
1508 # example, in the case of _POSIX_SOURCE, which is predefined and required
1509 # on some systems where configure will not decide to define it.
1510 cat >> conftest.vals <<\EOF
1511 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1512 EOF
1513
1514 # Break up conftest.vals because some shells have a limit on
1515 # the size of here documents, and old seds have small limits too.
1516
1517 rm -f conftest.tail
1518 while :
1519 do
1520 ac_lines=`grep -c . conftest.vals`
1521 # grep -c gives empty output for an empty file on some AIX systems.
1522 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1523 # Write a limited-size here document to conftest.frag.
1524 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1525 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1526 echo 'CEOF
1527 sed -f conftest.frag conftest.in > conftest.out
1528 rm -f conftest.in
1529 mv conftest.out conftest.in
1530 ' >> $CONFIG_STATUS
1531 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1532 rm -f conftest.vals
1533 mv conftest.tail conftest.vals
1534 done
1535 rm -f conftest.vals
1536
1537 cat >> $CONFIG_STATUS <<\EOF
1538 rm -f conftest.frag conftest.h
1539 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1540 cat conftest.in >> conftest.h
1541 rm -f conftest.in
1542 if cmp -s $ac_file conftest.h 2>/dev/null; then
1543 echo "$ac_file is unchanged"
1544 rm -f conftest.h
1545 else
1546 # Remove last slash and all that follows it. Not all systems have dirname.
1547 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1548 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1549 # The file is in a subdirectory.
1550 test ! -d "$ac_dir" && mkdir "$ac_dir"
1551 fi
1552 rm -f $ac_file
1553 mv conftest.h $ac_file
1554 fi
1555 fi; done
1556
1557 EOF
1558 cat >> $CONFIG_STATUS <<EOF
1559
1560 EOF
1561 cat >> $CONFIG_STATUS <<\EOF
1562 chmod a+x RunTest pcre-config
1563 exit 0
1564 EOF
1565 chmod +x $CONFIG_STATUS
1566 rm -fr confdefs* $ac_clean_files
1567 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1568

Properties

Name Value
svn:executable *

webmaster@exim.org
ViewVC Help
Powered by ViewVC 1.1.12